<?php
/***************************************************************************
 *                                                                          *
 *   (c) 2019 SendPulse                                                     *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

use Tygh\Registry;
use Tygh\Addons\Sendpulse\HttpSendPulse;

if (!defined('BOOTSTRAP')) { die('Access denied'); }

if ($mode == 'update') {
    $auto_export_tools_value = Registry::get('addons.sendpulse.auto_export_subscriber');
    $book_id_tools_value = Registry::get('addons.sendpulse.select_auto_export_subscriber');

    if (!empty($_REQUEST['subscriber_data']) && $auto_export_tools_value !== 'N') {
        $data = $_REQUEST['subscriber_data'];
        if (!empty($data['email'])) {
            fn_export_subscriber($auto_export_tools_value, $data['email'], $book_id_tools_value);
        }
    }
}

if($mode == 'add_users') {
    $auto_export_tools_value = Registry::get('addons.sendpulse.auto_export_subscriber');
    $book_id_tools_value = Registry::get('addons.sendpulse.select_auto_export_subscriber');

    if(!empty($_REQUEST['add_users']) && $auto_export_tools_value !== 'N') {
        $add_users=$_REQUEST['add_users'];

        foreach ($add_users as $add_user) {
            $email = db_get_field('SELECT email FROM ?:users WHERE user_id=?i',$add_user);
            $email_list[] = $email;
        }

        $export_list = array_chunk($email_list, 1000 );
        $sendpulse_client=new HttpSendPulse();

        foreach ($export_list as $export) {

            $sendpulse_client->exportClients( serialize($export), $book_id_tools_value );//export into SendPulse
        }

    }
}
